Valorant API Unofficial docs
API Reference Contracts
POST

Activate Contract

Activate a specific contract by ID

Internal name Contracts_Activate Server PD · shard Auth Bearer + Entitlements
POST https://pd.{shard}.a.pvp.net/contracts/v1/contracts/{puuid}/special/{contract id}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

puuid string · uuid required
A player's UUID
contract id string · uuid required

The contract ID to activate

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Version number
Subject string · uuid

Player UUID

Contracts array[object]
Show nested attributes Hide nested attributes 4
ContractDefinitionID string · uuid

UUID

ContractProgression object
Show nested attributes Hide nested attributes 3
TotalProgressionEarned number
TotalProgressionEarnedVersion number
HighestRewardedLevel record<string, object>
Show nested attributes Hide nested attributes 2
Amount number
Version number
ProgressionLevelReached number
ProgressionTowardsNextLevel number
ProcessedMatches array[object]
Show nested attributes Hide nested attributes 7
ID string · uuid

Match ID

StartTime number

Milliseconds since epoch

XPGrants object nullable
Show nested attributes Hide nested attributes 7
GamePlayed number
GameWon number
RoundPlayed number
RoundWon number
Missions object
Modifier object
Show nested attributes Hide nested attributes 3
Value number
BaseMultiplierValue number
Modifiers array[object]
Show nested attributes Hide nested attributes 3
Value number
Name enum
"RESTRICTIONS_XP""PREMIUM_CONTRACT_XP""SOCIAL_XP"
BaseOnly boolean
NumAFKRounds number
RewardGrants object nullable
MissionDeltas record<string, object> nullable
Show nested attributes Hide nested attributes 3
ID string · uuid

UUID

Objectives record<string, number>
ObjectiveDeltas record<string, object>
Show nested attributes Hide nested attributes 3
ID string · uuid

UUID

ProgressBefore number
ProgressAfter number
ContractDeltas record<string, object> nullable
Show nested attributes Hide nested attributes 3
ID string · uuid

UUID

TotalXPBefore number
TotalXPAfter number
CouldProgressMissions boolean
ActiveSpecialContract string · uuid

UUID

Missions array[object]
Show nested attributes Hide nested attributes 4
ID string · uuid

UUID

Objectives record<string, number>
Complete boolean
ExpirationTime string

Date in ISO 8601 format

MissionMetadata object
Show nested attributes Hide nested attributes 3
NPECompleted boolean
WeeklyCheckpoint string

Date in ISO 8601 format

WeeklyRefillTime string

Date in ISO 8601 format